import type { IEventBus } from "../../../../utils/EventBus";
import type { ILedgerConnectPanelData } from '../ledger.types';
export declare class LedgerFlow {
    private ledgerConnectBase;
    hostElement: HTMLElement;
    private selectedIndex;
    data: ILedgerConnectPanelData;
    getEventBus(): Promise<IEventBus>;
    private selectAccount;
    private removeComponent;
    private getEventSubscription;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleIntroConnect(event: MouseEvent): void;
    render(): any;
}
